This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 109486 - gnome-terminal does not restore its size after session-save
gnome-terminal does not restore its size after session-save
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-08 08:11 EST by Bernd Bartmann
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-14 16:32:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of several gnome-terminals before logout and session-save (183.61 KB, image/jpeg)
2003-11-08 08:12 EST, Bernd Bartmann
no flags Details
Screenshot of several gnome-terminals after re-login (87.55 KB, image/jpeg)
2003-11-08 08:12 EST, Bernd Bartmann
no flags Details
Screenshot with wrong sized gnome-terminals (92.12 KB, image/jpeg)
2004-11-14 06:30 EST, Bernd Bartmann
no flags Details
This is a screenshot of how it should look like. (93.57 KB, image/jpeg)
2004-11-14 06:31 EST, Bernd Bartmann
no flags Details

  None (edit)
Description Bernd Bartmann 2003-11-08 08:11:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
gnome-terminal does not restore its correct size after saving the
session when logging out and logging in again. Please have a look at
the attached screenshots.

The strange thing is that after logging in again I can see the correct
terminal size for a short moment but finally its resized to the
default terminal size.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create several gnome-terminals
2. logout and save the session
3. login in again
    

Additional info:
Comment 1 Bernd Bartmann 2003-11-08 08:12:11 EST
Created attachment 95826 [details]
Screenshot of several gnome-terminals before logout and session-save
Comment 2 Bernd Bartmann 2003-11-08 08:12:45 EST
Created attachment 95827 [details]
Screenshot of several gnome-terminals after re-login
Comment 3 Need Real Name 2003-11-09 14:56:13 EST
Odd, it works fine for me.  Tested on two FC1 systems upgraded from RHL9.
Comment 4 Ryan Tomayko 2003-11-18 21:54:19 EST
I'm seeing the same thing here. FC1 system upgraded from Redhat 9 to
0.95 to FC1 with yum. Willing to guinea pig potential fixes.
Comment 5 Bernd Bartmann 2004-11-14 06:28:47 EST
I'm still seeing this problem now in FC3 final. After creating a clean
new user environment, setting my the gnome-terminals as I like it,
logging out and saving the session I still get a different layout of
the terminals every time after loggin in.

I'll attach two screenshots to illustrate the problem.
Comment 6 Bernd Bartmann 2004-11-14 06:30:19 EST
Created attachment 106665 [details]
Screenshot with wrong sized gnome-terminals
Comment 7 Bernd Bartmann 2004-11-14 06:31:03 EST
Created attachment 106666 [details]
This is a screenshot of how it should look like.
Comment 8 Ray Strode [halfline] 2004-11-14 16:32:25 EST
Hi Bernd,

Thanks for the bug report.  At the moment, the Fedora developers don't
have time to work on this particular issue. The best way to make sure
your problem will get looked on is to report it to the authors of the
program. Most upstream authors use a bug tracking system like
bugzilla, and more people who know the code will be looking at the bug
report there.

The upstream bug tracking system to use is:
http://bugzilla.gnome.org

Please make sure the bug isn't already in the upstream bug tracker
before filing it.

Note You need to log in before you can comment on or make changes to this bug.